|  | Home | Documentation | http_da_data Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
http_da_data Struct Reference

Plugin data to override callbacks. More...

`#include <httpda.h>`

## Public Attributes

int(* | fposthdr )(struct soap *, const char *, const char *)
int(* | fparse )(struct soap *)
int(* | fparsehdr )(struct soap *, const char *, const char *)
int(* | fprepareinitsend )(struct soap *)
int(* | fprepareinitrecv )(struct soap *)
int(* | fpreparesend )(struct soap *, const char *, size_t)
int(* | fpreparerecv )(struct soap *, const char *, size_t)
int(* | fpreparefinalrecv )(struct soap *)
struct soap_smd_data | smd_data
int | option
char | digest [32]
char * | nonce
char * | opaque
char * | qop
char * | alg
unsigned long | nc
char * | ncount
char * | cnonce
char | response [32]

## Detailed Description

Plugin data to override callbacks.

## Member Data Documentation

## ◆ alg

char* http_da_data::alg

client-side: server's algorithm value

## ◆ cnonce

char* http_da_data::cnonce

server-side: client's nonce

## ◆ digest

char http_da_data::digest[32]

entity body digest

## ◆ fparse

int(* http_da_data::fparse) (struct soap *)

## ◆ fparsehdr

int(* http_da_data::fparsehdr) (struct soap *, const char *, const char *)

## ◆ fposthdr

int(* http_da_data::fposthdr) (struct soap *, const char *, const char *)

## ◆ fpreparefinalrecv

int(* http_da_data::fpreparefinalrecv) (struct soap *)

## ◆ fprepareinitrecv

int(* http_da_data::fprepareinitrecv) (struct soap *)

## ◆ fprepareinitsend

int(* http_da_data::fprepareinitsend) (struct soap *)

## ◆ fpreparerecv

int(* http_da_data::fpreparerecv) (struct soap *, const char *, size_t)

## ◆ fpreparesend

int(* http_da_data::fpreparesend) (struct soap *, const char *, size_t)

## ◆ nc

unsigned long http_da_data::nc

client-side: generated nonce count

## ◆ ncount

char* http_da_data::ncount

server-side: client's nonce count

## ◆ nonce

char* http_da_data::nonce

client/server-side copy of server's nonce value

## ◆ opaque

char* http_da_data::opaque

client/server-side copy of server's opaque value

## ◆ option

int http_da_data::option

plugin server-side digest algorithm option (0 to 5)

## ◆ qop

char* http_da_data::qop

client/server-side copy of server's qop value(s)

## ◆ response

char http_da_data::response[32]

server-side: client's response digest key

## ◆ smd_data

struct soap_smd_data http_da_data::smd_data

SMD engine state

The documentation for this struct was generated from the following file:

- httpda.h